datablock PlayerData(PlayerGreenSpeedster : PlayerStandardArmor)
{
	rechargeRate = 0.75;

	runForce = 4320;
	runEnergyDrain = 0.5;
	maxForwardSpeed = "7";
	maxBackwardSpeed = "6";
	maxSideSpeed = "4";

	maxForwardCrouchSpeed = "3";
	maxBackwardCrouchSpeed = "2";
	maxSideCrouchSpeed = "2";

	airControl = 0.1;
	jumpForce = 1080;

	canJet = 0;

	uiName = "Green Speedster Player";

	canRide = 1;
	
};
datablock PlayerData(PlayerGreenSpeedsterSpeed : PlayerGreenSpeedster)
{
        runForce = 700 * 600;
        minRunEnergy = 0;
	maxForwardSpeed = "100000";
	maxBackwardSpeed = "9500";
	maxSideSpeed = "8500";

	maxForwardCrouchSpeed = "700";
	maxBackwardCrouchSpeed = "500";
	maxSideCrouchSpeed = "500";

	airControl = 0;

	canJet = 0;

	uiName = "";

	canRide = 0;
};

package GreenSpeedsterPlayer
{
	function Armor::onTrigger(%data,%player,%slot,%io)
	{
		if(%slot == 4)
		{
			if(%io && %data.getName() $= "PlayerGreenSpeedster")
			{
                                %player.mountImage(PlayerGreenSpeedster_Image,2);
                                %player.changeDatablock(PlayerGreenSpeedsterSpeed);
				%tool = %player.currTool;
				servercmdunusetool(%player.client);
				%player.currTool = %tool;
			} else if(!%io && %data.getName() $= "PlayerGreenSpeedsterSpeed")
			{
                                %player.unMountImage(2);
                                %player.changeDatablock(PlayerGreenSpeedster);
				servercmduseTool(%player.client,%player.currTool);
			}
		}
		Parent::onTrigger(%data,%player,%slot,%io);
	}
	function Player::mountImage(%player,%image,%slot)
	{
		if(%player.getDatablock().getName() $= "PlayerGreenSpeedsterSpeed" && %slot == 0)
		{
			return;
		}
		Parent::mountImage(%player,%image,%slot);
	}
	function ServerCmdUseTool(%client,%slot)
	{
		if(isObject(%player = %client.player))
		{
			if(%player.getDatablock().getName() $= "PlayerGreenSpeedsterSpeed")
			{
				%player.currTool = %slot;
				return;
			}
		}
		Parent::serverCmdUseTool(%client,%slot);
	}
};
activatePackage(GreenSpeedsterPlayer);

	//Effects

datablock ParticleData(PlayerGreenSpeedster_Particle)
{
   dragCoefficient = 0;
   gravityCoefficient = 0;
   inheritedVelFactor = 0;
   constantAcceleration = 0.0;
   lifetimeMS = 1000;
   lifetimeVarianceMS = 0;
   useInvAlpha = false;
   textureName = "./GreenSpeedsteremitter.png";
   colors[0] = "1 1 1";
   colors[1] = "1 1 1";
   colors[2] = "1 1 1";
   sizes[0] = 2;
   sizes[1] = 2;
   sizes[2] = 0;
   times[0] = 0;
   times[1] = 0.9;
   times[2] = 1;
};

datablock ParticleEmitterData(PlayerGreenSpeedster_Emitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;
   ejectionVelocity = 0;
   ejectionOffset = 0;
   velocityVariance = 0;
   thetaMin = 0;
   thetaMax = 0;
   phiReferenceVel = 0;
   phiVariance = 0;
   overrideAdvance = true;
   particles = "PlayerGreenSpeedster_Particle";
   uiName = "Red Speedster Trail";
};


datablock ShapeBaseImageData(PlayerGreenSpeedster_Image)
{
	shapeFile = "base/data/shapes/empty.dts";
	emap = true;
	
	offset = "0 0 -0.5";
	
	mountPoint = 2;
	
	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "Next";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "Next";
	stateTransitionOnTimeout[1]		= "Ready";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 1;
	stateEmitter[1]					= PlayerGreenSpeedster_Emitter;
	stateEmitterTime[1]				= 1;
};

